# Generated Automatically From Makefile.In By Configure.
####################################################################
#
#  Makefile for mechcode
#
####################################################################

.SUFFIXES:      .cpp

SHELL           = /bin/sh

CC              = g++
#CC		= ic

DEFS            =
CFLAGS		= -O3
#CFLAGS		= -g -Wall
#CFLAGS		= -g -Wall -W -ansi -pedantic
#CFLAGS          = -Wall
#CFLAGS          = -O3  -fno-alias -pc64 -tpp6 -xK -ipo -restrict -align -Zp16
RELEASE_FLAGS	= -O3
#CFLAGS          = -g

LOC_LIBS        = -lgef -L../../GEFEL/
SYS_LIBS        = -lm

INCLUDES        = -I../../GEFEL/  -I../../GEFEL/PARSER/
AR              = ar
ARFLAGS         = -rcs
RM              = rm -f
DEPEND          = makedepend

MEFEL           = ../mefel


#
#  You probably don't need to change anything below here.
#

####################################################################
#  List of object files

OBJS = aci78.o adaptivity.o adsolver.o aepoints.o auxdatout.o axisymlq.o axisymlt.o barel2d.o barelq2d.o beamel2d.o beamel3d.o boermat.o camclay.o cct.o cebfip78.o consol.o creepb.o crsec2dbar.o crsec2dbeam.o crsec3d.o crsec3dbeam.o crsecnod.o crsecplstr.o dkt.o dloadcase.o dloadn.o dloadpd.o drprag.o dst.o edsolver.o elastgmat3d.o elastisomat.o element.o epsolver.o fdsolver.o globmat.o graphmat.o inicd.o intpoints.o j2flow.o lemaitre.o lhsrhs.o linhex.o lintet.o llssolver.o loadcase.o loadel.o loadn.o lssolver.o mechbclc.o mechcrsec.o mechmat.o mechprint.o mechtop.o mefelinit.o meshtransfer.o microfiber.o microM4.o microSIM.o mohrc2d.o mohrc3d.o mohrcparab.o mtsolver.o node.o nonloc.o nonlocdamg.o nonlocmicroM4.o nonlocplast.o nssolver.o plelemlq.o plelemlt.o plelemqq.o plelemqt.o plelemrotlq.o plelemrotlt.o plelemsubqt.o probdesc.o q4plate.o quadhex.o scaldam.o scaldamcc.o sequent.o shellq.o shelltr.o slsolver.o soilbeam.o soilplateq.o soilplatetr.o solverm.o splas1d.o springel.o stochdriver.o svispl.o therisomat.o vecttens.o winpast.o z2_smoothing.o

MOBJS = $(OBJS) mefel.o

####################################################################
#  List of source files
#

SRCS =  aci78.cpp adaptivity.cpp adsolver.cpp aepoints.cpp auxdatout.cpp axisymlq.cpp axisymlt.cpp barel2d.cpp barelq2d.cpp beamel2d.cpp beamel3d.cpp boermat.cpp camclay.cpp cct.cpp cebfip78.cpp consol.cpp creepb.cpp crsec2dbar.cpp crsec2dbeam.cpp crsec3d.cpp crsec3dbeam.cpp crsecnod.cpp crsecplstr.cpp dkt.cpp dloadcase.cpp dloadn.cpp dloadpd.cpp drprag.cpp dst.cpp edsolver.cpp elastgmat3d.cpp elastisomat.cpp element.cpp epsolver.cpp fdsolver.cpp globmat.cpp graphmat.cpp inicd.cpp intpoints.cpp j2flow.cpp lemaitre.cpp lhsrhs.cpp linhex.cpp lintet.cpp llssolver.cpp loadcase.cpp loadel.cpp loadn.cpp lssolver.cpp mechbclc.cpp mechcrsec.cpp mechmat.cpp mechprint.cpp mechtop.cpp mefel.cpp mefelinit.cpp meshtransfer.cpp microfiber.cpp microM4.cpp microSIM.cpp mohrc2d.cpp mohrc3d.cpp mohrcparab.cpp mtsolver.cpp node.cpp nonloc.cpp nonlocdamg.cpp nonlocmicroM4.cpp nonlocplast.cpp nssolver.cpp plelemlq.cpp plelemlt.cpp plelemqq.cpp plelemqt.cpp plelemrotlq.cpp plelemrotlt.cpp plelemsubqt.cpp probdesc.cpp q4plate.cpp quadhex.cpp scaldam.cpp scaldamcc.cpp sequent.cpp shellq.cpp shelltr.cpp slsolver.cpp soilbeam.cpp soilplateq.cpp soilplatetr.cpp solverm.cpp splas1d.cpp springel.cpp stochdriver.cpp svispl.cpp therisomat.cpp vecttens.cpp winpast.cpp z2_smoothing.cpp

####################################################################
#  List of lib files
#

LIBS = ../../GEFEL/libgef.a

####################################################################
#  Targets
#

all: gefel $(MEFEL)

release:
	make all CFLAGS="${RELEASE_FLAGS}"

$(MEFEL): $(MOBJS) $(LIBS)
	$(RM) $@
	$(AR) $(ARFLAGS) libmef.a $(OBJS)
	$(CC) -o $@ $(MOBJS) $(LOC_LIBS) $(SYS_LIBS)
	@echo -e "\n mefel was successfully created\n"

clean:
	$(RM) mefel *.o core

####################################################################
#  Module targets
#

gefel:
	@(cd ../../GEFEL; make)

####################################################################
#  Suffix rules
#

.cpp.o:
	$(CC) -c $(CFLAGS) $(DEFS) $(INCLUDES) $<

####################################################################
#  Dependencies
#

depend:
	@(cd ../../GEFEL; make depend)
	$(DEPEND)  $(DEFS) $(INCLUDES) $(SRCS)

dependclean:
	(t="/tmp/t_$$" ; sed 1,/"DO\ NOT\ DELETE"/p Makefile -n > t ; mv t Makefile)





####################################################################
# DO NOT DELETE
