#ifndef ELASTORTOMAT_H
#define ELASTORTOMAT_H

#include <stdio.h>
#include "iotools.h"
#include "matrix.h"
#include "alias.h"


class elastortomat
{
 public:
  elastortomat (void);
  ~elastortomat (void);
  void read (XFILE *in);
  void print (FILE *out);

  void matstiff (matrix &d,strastrestate ssst);
  void elmatstiff (matrix &d,strastrestate ssst);
  void matstiff_spacestr (matrix &d);
  void nlstresses (long ipp);

  /// material parameters
  matrix de;
};

#endif
