#include <math.h>
#include "simviscous.h"
#include "global.h"
#include "matrix.h"
#include "vector.h"
#include "intpoints.h"


simviscous::simviscous (void)
{
  eta=0.0;
}

simviscous::~simviscous (void)
{

}

void simviscous::read (XFILE *in)
{
  xfscanf (in,"%lf",&eta);
}

double simviscous::gfun (double f)
{
  double g;
  if (f>0.0)  g=f*eta;
  else        g=0.0;
  return g;
}

double simviscous::dergfun (double f)
{
  double dg;
  if (f<0.0)  dg=0.0;
  else        dg=eta;
  return dg;
}

